import numpy
from matplotlib import pyplot as plt

l2norm = [0, 0.0028535772, 0.039792068, 0.10983713, 0.24980371, 0.46932585, 0.75595592, 1.1195128, 1.5574846, 2.0635724,
 2.6322108, 3.2654071, 3.9613091, 4.7222049, 5.5485516, 6.4427382, 7.4045307, 8.4359726, 9.5362384, 10.707496,
 11.949783, 13.267854, 14.659694, 16.1312, 17.682268, 19.316423, 21.035603, 22.843087, 24.733546, 26.700285, 28.730737,
 30.818513, 32.959973, 35.152734, 37.395173, 39.686173, 42.024983, 44.411117, 46.84428, 49.324313, 51.851155, 54.424804,
 57.045289, 59.712644, 62.426882, 65.187967, 67.99579, 70.850135, 73.750656, 76.696843, 79.688016, 82.723231, 85.801227,
 88.920415, 92.078855, 95.274136, 98.503479, 101.76371, 105.05109, 108.36092, 111.6874, 115.02309, 118.35847, 121.6813,
 124.97566, 128.22102, 131.39116, 134.45325, 137.36786, 140.09026, 142.57298, 144.76985, 146.6404, 148.15373, 149.29084,
 150.04389, 150.41251, 150.39856, 150.00121, 149.21383, 148.02287, 146.40821, 144.34416, 141.80048, 138.74409,
 135.14046, 130.95548, 126.15865, 120.72851, 114.66087, 107.98056, 100.75618, 93.113181, 85.237153, 77.358043,
 69.714501, 62.510747, 55.885618, 49.904944, 44.573756, 39.856808, 35.697885, 32.03368, 28.801993, 25.945768, 23.41464,
 21.165096, 19.159972, 17.367694, 15.76146, 14.318491, 13.019364, 11.847451, 10.78845, 9.8299999, 8.9613657, 8.1731803,
 7.4572328, 6.8062952, 6.2139795, 5.6746192]



def plot(value_list, name = 'entries'):
    T = numpy.linspace(0,1,len(value_list))
    plt.plot(T, value_list)
    plt.ylabel(name)
    plt.show()

if __name__=="__main__":
    plot(l2norm, "L2-Norm(u)")